Bug 16988 - Suspending a hold with AutoResumeSuspendedHolds disabled results in error
Summary: Suspending a hold with AutoResumeSuspendedHolds disabled results in error
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-27 18:00 UTC by Kyle M Hall
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16988 - Suspending a hold with AutoResumeSuspendedHolds disabled results in error (2.83 KB, patch)
2016-07-27 18:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16988 - Suspending a hold with AutoResumeSuspendedHolds disabled results in error (2.93 KB, patch)
2016-07-28 11:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16988 - Suspending a hold with AutoResumeSuspendedHolds disabled results in error (3.00 KB, patch)
2016-08-01 11:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-07-27 18:00:30 UTC
Unless AutoResumeSuspendedHolds is enabled, attempting to suspend a hold from reserve/request.pl results in the following error:

The given date (undefined) does not match the date format (us) at /home/vagrant/kohaclone/Koha/DateUtils.pm line 152.
Comment 1 Kyle M Hall 2016-07-27 18:04:07 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2016-07-28 11:06:34 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-01 11:45:15 UTC
Created attachment 53832 [details] [review]
Bug 16988 - Suspending a hold with AutoResumeSuspendedHolds disabled results in error

iUnless AutoResumeSuspendedHolds is enabled, attempting to suspend a
hold from reserve/request.pl results in the following error:

The given date (undefined) does not match the date format (us) at
/home/vagrant/kohaclone/Koha/DateUtils.pm line 152.

Test Plan:
1) Enable SuspendHoldsIntranet
2) Disable AutoResumeSuspendedHolds
3) Attempt to suspend or unsuspend a hold
4) Note the error
5) Apply this patch
6) Repeat step 3
7) The hold should suspend or resume correctly

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Megan Wianecki <mwianecki@mtpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-08-04 19:20:58 UTC
Pushed to Master - Should be in the November 2016 release.  Thanks!
Comment 5 Frédéric Demians 2016-08-05 06:16:20 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 6 Julian Maurice 2016-08-17 12:53:17 UTC
Patch pushed to 3.22.x, will be in 3.22.10